- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::ME_connection Class Reference

`#include <ME_connection.h>`

Inheritance diagram for Mers::Estimation::Discrete::ME_connection:

[legend]
List of all members.

## Public Member Functions
virtual bool | progress (unsigned int cmd_index, unsigned int value_index)=0
virtual bool | observe (unsigned int obs_index, unsigned int value_index)=0
virtual bool | set_initial_state (unsigned int state_index, unsigned int value_index)=0
virtual const Mers::Utils::Containers::intList * | find_mode_estimate ()=0
virtual const Mers::Utils::Containers::intList * | get_full_state ()=0
virtual bool | progress_to_estimate ()=0
virtual bool | printStateVars (std::ostream &out) const
virtual bool | printCommandVars (std::ostream &out) const
virtual bool | printObservationVars (std::ostream &out) const
virtual bool | printDependentVars (std::ostream &out) const
virtual bool | printAllVars (std::ostream &out) const

## Detailed Description

The default interface for any Mode Estimation object.

Author:
  Andreas F. Wehowsky

  Paul H. Elliott

Definition at line 37 of file ME_connection.h.

## Member Function Documentation

virtual bool Mers::Estimation::Discrete::ME_connection::progress | ( | unsigned int | cmd_index,
|  | unsigned int | value_index |
| ) |  |  | `[pure virtual]`

assert the command

Parameters:

  | cmd_index | an index corresponding to the command variable.
  | value_index | an index corresponding to the value of the command variable.

Returns:
  'false' on failure.

Implemented in Mers::Estimation::Discrete::MEInterface, and Mers::Estimation::Discrete::Stub::MEStub.

Referenced by Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

virtual bool Mers::Estimation::Discrete::ME_connection::observe | ( | unsigned int | obs_index,
|  | unsigned int | value_index |
| ) |  |  | `[pure virtual]`

Asserts the observation.

Parameters:

  | obs_index | an index corresponding to the observable variable.
  | value_index | an index corresponding to the value of the observable variable.

Returns:
  'false' on failure.

Implemented in Mers::Estimation::Discrete::MEInterface, and Mers::Estimation::Discrete::Stub::MEStub.

Referenced by Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

virtual bool Mers::Estimation::Discrete::ME_connection::set_initial_state | ( | unsigned int | state_index,
|  | unsigned int | value_index |
| ) |  |  | `[pure virtual]`

Asserts the state.

Parameters:

  | state_index | an index corresponding to the state variable.
  | value_index | an index corresponding to the value of the state variable.

Returns:
  'false' on failure.

Implemented in Mers::Estimation::Discrete::MEInterface, and Mers::Estimation::Discrete::Stub::MEStub.

Referenced by Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

virtual const Mers::Utils::Containers::intList* Mers::Estimation::Discrete::ME_connection::find_mode_estimate | ( |  | ) | `[pure virtual]`

Estimates the current state, returning all states that have changed.

Returns:
  the changed modes of the components the caller is responsible for freeing the intList memory!

Implemented in Mers::Estimation::Discrete::MEInterface, and Mers::Estimation::Discrete::Stub::MEStub.

Referenced by Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

virtual const Mers::Utils::Containers::intList* Mers::Estimation::Discrete::ME_connection::get_full_state | ( |  | ) | `[pure virtual]`

Estimates the current state, returning an assignment to every state.

Returns:
  the current modes of all components the caller is responsible for freeing the intList memory!

Implemented in Mers::Estimation::Discrete::MEInterface, and Mers::Estimation::Discrete::Stub::MEStub.

Referenced by Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

virtual bool Mers::Estimation::Discrete::ME_connection::progress_to_estimate | ( |  | ) | `[pure virtual]`

Sets the estimated state as the current state.

Returns:
  'false' on failure

Implemented in Mers::Estimation::Discrete::MEInterface, and Mers::Estimation::Discrete::Stub::MEStub.

virtual bool Mers::Estimation::Discrete::ME_connection::printStateVars | ( | std::ostream & | out | ) | const`[inline, virtual]`

Prints the list of state variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Reimplemented in Mers::Estimation::Discrete::MEInterface.

Definition at line 98 of file ME_connection.h.

virtual bool Mers::Estimation::Discrete::ME_connection::printCommandVars | ( | std::ostream & | out | ) | const`[inline, virtual]`

Prints the list of command variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Reimplemented in Mers::Estimation::Discrete::MEInterface.

Definition at line 111 of file ME_connection.h.

virtual bool Mers::Estimation::Discrete::ME_connection::printObservationVars | ( | std::ostream & | out | ) | const`[inline, virtual]`

Prints the list of observation variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Reimplemented in Mers::Estimation::Discrete::MEInterface.

Definition at line 125 of file ME_connection.h.

virtual bool Mers::Estimation::Discrete::ME_connection::printDependentVars | ( | std::ostream & | out | ) | const`[inline, virtual]`

Prints the list of dependent variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Definition at line 138 of file ME_connection.h.

virtual bool Mers::Estimation::Discrete::ME_connection::printAllVars | ( | std::ostream & | out | ) | const`[inline, virtual]`

Prints the list of all variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Reimplemented in Mers::Estimation::Discrete::MEInterface.

Definition at line 151 of file ME_connection.h.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ME_connection.h